/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package collision;

import java.util.ArrayList;

public class ListaAlien {

    private int velocidade, tempo;
    private int ay, sentidoDeslocamento;
    private ArrayList<Alien> aliens;
    private int[][] pos = {
        {350, 00}, {350, 40}, {350, 80},
        {350, 120}, {350, 160}
    };

    public ListaAlien(int velocidade) {
        aliens = new ArrayList<Alien>();
        for (int i = 0; i < pos.length; i++) {
            aliens.add(new Alien(pos[i][0], pos[i][1]));
        }
        this.ay = 20;
        sentidoDeslocamento = 1;
        this.velocidade = (velocidade < 10) ? velocidade : 10;

    }

    int apagarAliens() {
        aliens.clear();
        return 0;
    }

    int size() {
        return aliens.size();
    }

    Alien get(int i) {
        return (Alien) aliens.get(i);
    }

    void remove(int i) {
        aliens.remove(i);
    }

    public void move() {

        if (++this.tempo >= (10 - this.velocidade)) {
            this.tempo = 0;

            int dx = 0, dy = 0;

            if (this.sentidoDeslocamento > 0) {
                if (++this.ay < 70) {
                    dy = 1;
                } else {
                    this.sentidoDeslocamento = 0;
                    dx = -20;
                }
            } else {
                if (--this.ay >= 20) {
                    dy = -1;
                } else {
                    this.sentidoDeslocamento = 1;
                    dx = -20;
                }
            }

            for (int i = 0; i < aliens.size(); i++) {
                Alien a = (Alien) aliens.get(i);
                if (a.isVisivel() == false) {
                    aliens.remove(i);
                } else {
                    a.posX += dx;
                    a.posY += dy;
                    if (a.posX < 20) {
                        a.posX += 370;
                    }
                    a.fire();
                }
            }
        }
    }
}
