package collision;

import java.awt.Image;
import java.awt.Rectangle;
import javax.swing.ImageIcon;

public class Missile {

    private int x, y;
    private Image image;
    boolean visible;
    private int width, height;
    private int limite;
    private int velocidade;

//    private final int BOARD_WIDTH = 390;
//    private final int MISSILE_SPEED = 2;
    public Missile(int l, int v, int x, int y) {
        ImageIcon ii =
                new ImageIcon(this.getClass().getResource(v > 0 ? "/collision/missile.png" : "/collision/missileAlien.png"));
        image = ii.getImage();
        visible = true;
        width = image.getWidth(null);
        height = image.getHeight(null);
        this.x = x;
        this.y = y;
        this.limite = l;
        this.velocidade = v;
    }

    public Image getImage() {
        return image;
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public boolean isVisible() {
        return visible;
    }

    public void setVisible(Boolean visible) {
        this.visible = visible;
    }

    public Rectangle getBounds() {
        return new Rectangle(x, y, width, height);
    }

    public void move() {
        x += this.velocidade;
        if (x * ((this.velocidade < 0) ? -1 : 1) > this.limite) {
            visible = false;
        }

    }
}
