/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package collision;

import java.awt.Image;
import java.awt.Rectangle;
import java.util.ArrayList;
import javax.swing.ImageIcon;

/**
 *
 * @author eduardo
 */
public class Personagem {

    protected int vida;
    protected int movX;
    protected int movY;
    protected int posX;
    protected int posY;
    protected int largura;
    protected int altura;
    protected Image figura;
    protected ArrayList<Missile> missil;
    protected boolean visivel;

    public Personagem(String nomeFigura, int vida, int x, int y) {
        this.figura = new ImageIcon(this.getClass().getResource(nomeFigura)).getImage();
        this.posX = x;
        this.posY = y;
        this.largura = this.figura.getWidth(null);
        this.altura = this.figura.getHeight(null);
        this.missil = new ArrayList<Missile>();
        this.vida = vida;
        this.visivel = true;

    }

    public void setVida(int vida) {
        this.vida = vida;
    }

    public int getVida() {
        return this.vida;
    }

    public int decrementaVida(int morte) {
        this.vida -= morte;
        if (this.vida <= 0) {
            this.vida = 0;
            this.visivel = false;
        }
        return vida;
    }

    public ArrayList getMissil() {
        return this.missil;
    }

    public int getPosX() {
        return this.posX;
    }

    public int getPosY() {
        return this.posY;
    }

    public void setVisivel(boolean visivel) {
        this.visivel = visivel;
    }

    public boolean isVisivel() {
        return this.visivel;
    }

    public Image getFigura() {
        return this.figura;
    }

    public Rectangle getArea() {
        return new Rectangle(this.posX,this.posY,this.largura,this.altura);
    }
}
