package collision;

import javax.swing.JDialog;
import javax.swing.JFrame;

/**
 * Classe principal do jogo, responsavel por criar uma instancia do jogo
 * @author eduardo guse
 *
 */
public class Principal extends JFrame {

    /**
     * variavel que seleciona qual personagem jogador será usado.
     */
    public int indPersonagem;

    /**
     * abre a tela de seleção de jogador e o jogo
     */
    public Principal(){

 //-- cria tela de selecao do personagem.
        JDialog select = new selecionarJogador(this, true);
        select.setVisible(true);

//-- cria o jogo com o personagem selecionado.
        add(new Board(indPersonagem));
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(400, 300);
        setLocationRelativeTo(null);
        setTitle("Collision");
        setResizable(false);
        setVisible(true);
    }

    /**
     * roda o jogo, não está preparado para receber parâmetros
     * @param args
     */
    public static void main(String[] args){
        new Principal();
    }
}
